Bug 119378 - Installer hangs on Disk Druid manual partitionning
Installer hangs on Disk Druid manual partitionning
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-29 17:38 EST by percy wesley
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 15:10:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of fdisk from the disk that makes anaconda hang (527 bytes, text/plain)
2004-04-18 04:19 EDT, István Tóth
no flags Details

  None (edit)
Description percy wesley 2004-03-29 17:38:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
Disk druid freezes on the manual partitioning page. I had no chance to
choose anything.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Go to disk druid manual partitionner
2.
3.
    

Additional info:

I have an asus p4p800 (intel ICH5) with two cdroms on hda and hdb, and
three hd on hdc, hdd and hde, with hde being a S-ATA drive.
Comment 1 Jeremy Katz 2004-03-30 17:52:28 EST
Freezes completely?  Can you switch ttys?  Are your keyboard lights
blinking?
Comment 2 István Tóth 2004-04-17 07:28:24 EDT
I encountered the same problem.

My Mainboard is an ASUS P4S533, I have two CDROMS and two hard disks,
one of which holds a WinXp and FC 1 partition, the other one I meant
to use for FC2 Test.

I was trying to install the devel system on April 17, the boot iso
image had an April 16 date. ( with test2 I did not even get this far)

First,  get a warning from anaconda, that the partition has some
problems with it, I choose to go ahead anyway.

Then I am presented with the choice between automatic partitioning and
disk druid. I choose disk druid, and anaconda stops responding. (disk
druid never even appears)

I can switch vtys, I can use the console on tty2, and run all console
 commands on the install ramdisk. Top shows me that anaconda is stuck
at 99% cpu utilization, and does not respond at least for five minutes.

On the rest of the ttys, I see no error messages.

I am doing am internet (ftp) install, but there is no network activity
while anaconda is frozen.

The same freeze happens in text and graphical mode. (In graphical
mode, when I switch back from console to the X screen, the display is
not even updated)

Comment 3 István Tóth 2004-04-18 04:16:46 EDT
Update:

1. After removing the single NTFS partition from hdd, The misaligned
partition warning went away, but anaconda still hung just the same.

2. After removing my primary disk, (i.e only one disk was in the
system, with no partitions defined), anaconda no longer hung, disk
druid started, and then anaconda run normally, and started to install
the packages.
Comment 4 István Tóth 2004-04-18 04:19:07 EDT
Created attachment 99513 [details]
Output of fdisk from the disk that makes anaconda hang
Comment 5 Jeremy Katz 2004-09-22 15:10:03 EDT
This should be fixed now

Note You need to log in before you can comment on or make changes to this bug.